Page MenuHomePhabricator

Train a `reverted` model for svwiki
Closed, ResolvedPublic

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 18 2016, 10:31 AM
2016-05-19 12:50:21,933 INFO:revscoring.utilities.train_test -- Training model...
2016-05-19 12:50:54,134 INFO:revscoring.utilities.train_test -- Testing model...
ScikitLearnClassifier
 - type: RF
 - params: max_depth=null, criterion="entropy", scale=true, verbose=0, oob_score=false, n_estimators=640, min_samples_split=2, min_weight_fraction_leaf=0.0, max_leaf_nodes=null, n_jobs=1, bootstrap=true, center=true, min_samples_leaf=3, random_state=null, class_weight=null, max_features="log2", balanced_sample_weight=true, balanced_sample=false, warm_start=false
 - version: 0.0.1
 - trained: 2016-05-19T12:50:54.128982

Table:
                 ~False    ~True
        -----  --------  -------
        False      7805       62
        True         60       65

Accuracy: 0.985
Precision: 0.512
Recall: 0.52
PR-AUC: 0.54
ROC-AUC: 0.978
Recall @ 0.1 false-positive rate: threshold=0.882, recall=0.096, fpr=0.077
Filter rate @ 0.9 recall: threshold=0.083, filter_rate=0.94, recall=0.904
Filter rate @ 0.75 recall: threshold=0.256, filter_rate=0.968, recall=0.752

Nice! It's because svwiki has lots of bots edits.

Ladsgroup closed this task as Resolved.Jun 1 2016, 9:32 AM
Restricted Application added a project: artificial-intelligence. · View Herald TranscriptJul 21 2017, 11:12 AM